process.on("uncaughtException", function (err) {
    console.error('err uncaught Exception  : ', err);
});

require('./src/database.js').database.initDb((err) => {
    if (err) {
        console.error("FATAL: cannot init database ", err);
    } else {
        var server = new (require("./src/httpServ.js").HttpServ)();
    }
});

